#!/usr/bin/env bash

set -e

SOURCE="${BASH_SOURCE[0]}"
EXECUTABLE="rgc"

while [ -h "$SOURCE" ]; do
  DIR="$(cd -P "$(dirname "$SOURCE")" >/dev/null 2>&1 && pwd)"
  SOURCE="$(readlink "$SOURCE")"
  if [[ $SOURCE != /* ]]; then
    SOURCE="$DIR/$SOURCE"
  fi
done

DIR="$(cd -P "$(dirname "$SOURCE")" >/dev/null 2>&1 && pwd)"
BASEDIR=${DIR%/*}

if [ -d "$BASEDIR/runtime" ]; then
  RUNDIR=$BASEDIR/runtime
else
  echo "Cannot find $BASEDIR/runtime"
  echo "This folder is missing, or you do not have permission to run this program"
  exit 1
fi

if [ ! -x "$RUNDIR/$EXECUTABLE" ]; then
  echo "Cannot find $RUNDIR/$EXECUTABLE"
  echo "This file is missing, or you do not have permission to run this program"
  exit 1
fi

export Raygun_SettingsDirectoryPath=$BASEDIR/settings
export Raygun_BlacklistDirectoryPath=$BASEDIR/blacklist
export Raygun_LogDirectoryPath=$BASEDIR/agentlogs

exec "$RUNDIR/$EXECUTABLE" "$@"
